function [left, right] = inflate (index, flow)

% inflates interval to contain peak of nitrogen
% returns indices of intervals

len = length(flow);

% rounding to 2nd decimal number
%k = 100;

% hack because Octave does not have second parameter specifying the number of digits

%left = index;
% inflate left
%while ( (left > 1) &&  (round(nitrogen(left) * k) /k <= round(nitrogen(left - 1)* k) /k) )
%while ( (left > 1) &&  (nitrogen(left) <= nitrogen(left - 1)) )
%  left = left  - 1;
%end




% inflate right
%right = index;
%while ( (right < len-1) &&  (round(nitrogen(right)* k)/k <= round(nitrogen(right + 1)* k)/k) )
%while ( (right < len-1) &&  (nitrogen(right) <= nitrogen(right + 1)) )
%  right = right + 1;
%end

left = index;
iflow = flowtointerval(flow(left)); 
while (left > 1) && sup(iflow) > 0
  left = left - 1;
  iflow = flowtointerval(flow(left)); 
end


right = index+1;
iflow = flowtointerval(flow(right)); 
while (right < len) && inf(iflow) < 0
  right = right + 1;
  iflow = flowtointerval(flow(right)); 
end

% take the peak 

if isincreasing(flow(left:right)) == 0
   left = 0;
   right = 0;
end



end